MouseButton (JavaFX 17)

Module javafx.graphics
Package javafx.scene.input

## Enum MouseButton

- java.lang.Object
- - java.lang.Enum<MouseButton>
  - - javafx.scene.input.MouseButton

- All Implemented Interfaces:
    `Serializable`, `Comparable<MouseButton>`

      public enum MouseButton
      extends Enum<MouseButton>

  Mapping for Button Names
  Since:
    JavaFX 2.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `BACK` | Represents back (button 4) mouse button.
    `FORWARD` | Represents forward (button 5) mouse button.
    `MIDDLE` | Represents middle (button 2) mouse button.
    `NONE` | Represents no button.
    `PRIMARY` | Represents primary (button 1, usually the left) mouse button.
    `SECONDARY` | Represents secondary (button 3, usually the right) mouse button.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static MouseButton` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static MouseButton[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods declared in class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods declared in class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final MouseButton NONE

      Represents no button.

    - #### PRIMARY

          public static final MouseButton PRIMARY

      Represents primary (button 1, usually the left) mouse button.

    - #### MIDDLE

          public static final MouseButton MIDDLE

      Represents middle (button 2) mouse button.

    - #### SECONDARY

          public static final MouseButton SECONDARY

      Represents secondary (button 3, usually the right) mouse button.

    - #### BACK

          public static final MouseButton BACK

      Represents back (button 4) mouse button.
      Since:
        12

    - #### FORWARD

          public static final MouseButton FORWARD

      Represents forward (button 5) mouse button.
      Since:
        12

  - ### Method Detail

    - #### values

          public static MouseButton[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MouseButton c : MouseButton.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MouseButton valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null